Subject: [Int-area] Harmfulness Analysis of Address Translator Designs

From: Christian Vogt <[email-masked]>
Date: Mon, 16 Mar 2009 14:21:32 -0700

Folks - FYI:

As input to the discussion around NAT for IPv6, I wrote an analysis that
compares possible NAT designs.  The analysis looks at potential problems
that each NAT design can cause, and evaluates the cost and completeness
of solutions to those problems:

http://users.piuha.net/chvogt/pub/2009/draft-vogt-address-translation-harmfulness-02.txt

Comments appreciated.  Versions 00 and 01 are in the official IETF I-D
repositories, but revision 02 above didn't make it before the deadline.

- Christian